# tests.platform.windows.test_event_logging
#
# Author: Alejandro J. Cura <alecu@canonical.com>
#
# Copyright 2010 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Test the event logging on windows."""

import sys

from twisted.trial import unittest

class GetListenerTestCase(unittest.TestCase):
    """Listener creation tests."""

    def test_never_creates_a_listener(self):
        """The listener is never created on windows."""
        from ubuntuone.platform.windows import event_logging
        listener = event_logging.get_listener(None, None)
        self.assertEqual(listener, None)

def test_suite():
    if sys.platform == 'win32':
        return unittest.TestLoader().loadTestsFromName(__name__)
    return unittest.TestSuite()
